> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridge.com.do/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> Buscar una transacción por su identificador.



## OpenAPI

````yaml get /accounts/{accountId}/transactions/{transactionId}
openapi: 3.0.0
info:
  title: Bridge API
  description: >-
    Bridge enables connecting your app to financial institutions and access
    account and transaction data.
  version: '2024-01-01'
  contact: {}
servers: []
security: []
tags: []
paths:
  /accounts/{accountId}/transactions/{transactionId}:
    get:
      summary: Get Transaction
      description: Buscar una transacción por su identificador.
      operationId: TransactionsController_getTransactionForAccount
      parameters:
        - name: accountId
          required: true
          in: path
          description: Identificador de la cuenta de la transacción.
          schema:
            type: string
        - name: transactionId
          required: true
          in: path
          description: Identificador de la transacción a buscar.
          schema:
            type: string
        - name: X-Scoped-Token
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionDetailDto'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    TransactionDetailDto:
      type: object
      properties:
        transaction:
          $ref: '#/components/schemas/TransactionDto'
      required:
        - transaction
    TransactionDto:
      type: object
      properties:
        id:
          type: string
          example: txn_ckB4a8Ly6PojhwoT
        accountId:
          type: string
          example: acc_zP2oiEAvu7LnuUVc
        amount:
          type: number
        date:
          type: string
          format: date
          example: '2024-12-28'
          description: Transaction date in YYYY-MM-DD format
        description:
          type: string
        reference:
          type: string
        status:
          type: string
          enum:
            - pending
            - posted
            - void
        transactionRefresh:
          type: string
          example: txr_01J8XGKZP8K9V7J552EPPD89HM
      required:
        - id
        - accountId
        - amount
        - date
        - description
        - status
        - transactionRefresh
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````